## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# F35: Do not update past 2.3.0. F35's protobuf is too old.

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-storage
%global         forgeurl    https://github.com/googleapis/python-storage
Version:        2.5.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Storage

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Google Cloud Storage allows you to store data on Google infrastructure with
very high reliability, performance and availability, and can be used to
distribute large data objects to users via direct download.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import

%if %{with tests}
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_storage-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Wed Aug 03 2022 Major Hayden <major@redhat.com> 2.5.0-1
- Update to 2.5.0 rhbz#2114992

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> 2.4.0-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 2.4.0-1
- Update to 2.4.0

* Fri Jun 03 2022 Major Hayden <major@redhat.com> 2.3.0-2
- Add import check, remove mock patch

* Wed Apr 13 2022 Major Hayden <major@mhtx.net> 2.3.0-1
- Update to 2.3.0

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 2.2.1-1
- 🚀 Update to 2.2.1

* Fri Jan 21 2022 Major Hayden <major@redhat.com> 2.1.0-1
- Update to 2.1.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Major Hayden <major@mhtx.net> 2.0.0-2
- Uncomment unittest.mock patch

* Wed Jan 12 2022 Major Hayden <major@mhtx.net> 2.0.0-1
- Update to 2.0.0

* Wed Jan 05 2022 Major Hayden <major@mhtx.net> 1.44.0-1
- Update to 1.44.0

* Wed Nov 17 2021 Major Hayden <major@mhtx.net> 1.43.0-1
- Update to 1.43.0

* Fri Oct 01 2021 Major Hayden <major@mhtx.net> 1.42.3-2
- Remove python3-azure-sdk obsoletes from a bad copy/paste

* Fri Oct 01 2021 Major Hayden <major@mhtx.net> 1.42.3-1
- Update to 1.42.3

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> 1.42.2-2
- Fix pytest/PEP 420 issue

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> 1.42.2-1
- Update to 1.42.2

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> 1.42.1-2
- Move to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1.42.1-1
- Update to 1.42.1

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> 1.42.0-2
- Disable UTC timezone test temporarily

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> 1.42.0-1
- Update to 1.4.2

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> 1.41.0-1
- Initial import (#1983181)
